## pianobooster 0.6.4

=== debian/changelog ===
pianobooster (0.6.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch to set linker flag -mwindows only on
    Windows. (Closes: #667322)

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 May 2012 18:13:25 +0200

pianobooster (0.6.4-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added Galician translation and improved Spanish. Thanks to Miguel Bouzada.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 03 Dec 2011 17:27:22 +0100

pianobooster (0.6.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added support for translations: i18n.patch
  * Added Spanish translation
  * Fixed desktop file
  * Set the Games Team as Maintainer

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 30 Nov 2011 08:02:42 +0100

pianobooster (0.6.4-1) unstable; urgency=low

  * Initial release. Closes: #650398

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 29 Nov 2011 15:41:19 +0100
