## pianobooster 0.6.4b

=== debian/changelog ===
pianobooster (0.6.4b-2) unstable; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.4, no changes.
  * Use canonical VCS-URI.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * Remove superfluous substvar ${shlibs:Depends} from performous-dbg.
  * Add link-pthread-and-GL-explicitly.patch and fix FTBFS by linking the
    missing libraries in CMakelist.txt explicitly. (Closes: #713691)
  * Fix lintian error and do not set the library RPATH in debian/rules anymore.
    Use the normal library search path instead.
  * Update debian/copyright to copyright format 1.0. Fix spelling mistakes.
  * pianobooster.desktop: Add keywords.
  * Update debian/watch.

 -- Markus Koschany <apo@gambaru.de>  Tue, 02 Jul 2013 16:53:50 +0200

pianobooster (0.6.4b-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Upgraded debian/compat to 9.
  * Added patch: linker_opts.patch
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Changed my email address in debian/control to miriam@debian.org

  [ Martin Erik Werner ]
  * Use -DCMAKE_BUILD_TYPE=Debug to get a better debug package. Closes: #664473

  [ Paul Wise ]
  * Install a MIDI synthesizer and sounds by default. Closes: #650700

 -- Miriam Ruiz <miriam@debian.org>  Tue, 04 Dec 2012 00:44:18 +0100
