=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
- qt4-qmake, libqt4-dev, libqt4-opengl-dev,
+ qt4-qmake, libqt4-dev, libqt4-opengl-dev, qt4-linguist-tools,
  mesa-common-dev, libglu1-mesa-dev, libasound2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://pianobooster.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pianobooster/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pianobooster/
