=== debian/watch ===
# Watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=3

opts="versionmangle=s/(.*)([A-Za-z])$/$1$2/" \
http://sf.net/pianobooster/pianobooster-src-(.*)\.tar\.gz
